## osptoolkit 4.11.3+dfsg

=== debian/changelog ===
osptoolkit (4.11.3+dfsg-1) unstable; urgency=medium

  * Update for upstream OSP Toolkit 4.11.3 (Closes: #786975, #804623)
  * Fix copyright issue.
  * Change docs to osptoolkit.docs.
  * Update osptoolkit.txt.
  * Remove .dirs files.
  * Update Makefile to create install directories.
  * Update test_app.c.patch for Forwarded.

  [ Mattia Rizzolo ]
  * Remove -dbg package, nowadays we have automatic -dbgsym.
  * Convert d/rules to use the dh(1) sequencer.
  * Rename versioned -dev package to unversioned one.

 -- TransNexus <support@transnexus.com>  Fri, 24 Jun 2016 05:46:43 -0400

osptoolkit (3.4.2-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libtool-bin. Closes: #761782.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Oct 2014 10:01:59 +0000

osptoolkit (3.4.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add SSL libraries to enroll target in Makefile. (Closes: #713639).
    + Also fix pthread linkeage.
  * Remove dependent libs from .la file.
    + Fix taken from Ubuntu.

 -- Barry deFreese <bdefreese@debian.org>  Fri, 12 Jul 2013 14:00:07 -0400

osptoolkit (3.4.2-1) unstable; urgency=low

  * Initial Release (Closes: Bug#468110).
  * Added a new Makefile under the main directory to generate the packages.
  * Modified bad OSPC_OSNULL statements to avoid compile warning messages.
  * Modified char to const char to avoid compile warning messages.

 -- TransNexus, Inc. <support@transnexus.com>  Sun, 30 Dec 2007 20:37:26 -0500
