=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

version=4.11.3
major=4

%:
	dh $@ --parallel

override_dh_auto_build:
	$(MAKE) build VERSION="$(version)" MAJOR="$(major)" ADDFLAGS="$(addflags)"
	$(MAKE) enroll VERSION="$(version)" MAJOR="$(major)" ADDFLAGS="$(addflags)"
	$(MAKE) test VERSION="$(version)" MAJOR="$(major)" ADDFLAGS="$(addflags)"

override_dh_auto_clean:
	$(MAKE) VERSION="$(version)" MAJOR="$(major)" clean

override_dh_auto_install:
	# Add here commands to install the package into debian/osptoolkit
	$(MAKE) VERSION="$(version)" MAJOR="$(major)" DESTDIR=$(CURDIR)/debian/osptoolkit install-bin

	# Add here commands to install the package into debian/libosptk
	$(MAKE) VERSION="$(version)" MAJOR="$(major)" DESTDIR=$(CURDIR)/debian/libosptk$(major) install-lib

	# Add here commands to install the package into debian/libosptk-dev
	$(MAKE) VERSION="$(version)" MAJOR="$(major)" DESTDIR=$(CURDIR)/debian/libosptk-dev install-dev
