## osptoolkit 4.13.0

=== src/Makefile ===
--- 
+++ 
@@ -24,7 +24,7 @@
 GCCFLAGS = -Wall -D_GNU_SOURCE -fPIC
 
 # Macro definition
-MFLAGS = -DOPENSSL_NO_KRB5 -D_POSIX_THREADS -D_REENTRANT -DOSP_SDK -DOSP_ALLOW_DUP_TXN -DOSP_NO_DELETE_CHECK
+MFLAGS = -DOPENSSL_NO_KRB5 -D_POSIX_THREADS -D_REENTRANT -DOSP_SDK -DOSP_ALLOW_DUP_TXN -DOSP_NO_DELETE_CHECK -DOSP_SSL_VERIFY_NONE
 
 # Debug flags
 # This is for DEBUG mode of compilation
@@ -53,7 +53,7 @@
           ospauthcnf.o ospreauthreq.o ospreauthrsp.o ospusagecnf.o ospb64.o \
           ospbfr.o osptokeninfo.o ospfail.o ospaltinfo.o ospssl.o \
           ospstatistics.o osptnprobe.o ospaudit.o osptnaudit.o osptransids.o \
-          ospciscoext.o ospcapind.o ospcapcnf.o $(SSLOBJ)
+          ospciscoext.o ospcapind.o ospcapcnf.o ospstir.o $(SSLOBJ)
           
 OSPLIB = $(LIBDIR)/libosptk.a
 
@@ -77,7 +77,7 @@
 
 install: build
 	install -d $(INSTALL_PATH)/include/osp
-	cp $(INCDIR)/osp/* $(INSTALL_PATH)/include/osp/
+	cp $(INCDIR)/osp/*.h $(INSTALL_PATH)/include/osp/
 	install -d $(INSTALL_PATH)/lib
 	cp $(OSPLIB) $(INSTALL_PATH)/lib/
