=== debian/changelog ===
osptoolkit (4.13.0-1.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:10:09 +1100

osptoolkit (4.13.0-1.1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 20:33:05 +0000

osptoolkit (4.13.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063187

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 19:07:12 +0000

osptoolkit (4.13.0-1) unstable; urgency=medium

  * New upstream release
  * Fix FTBFS with openssl 1.1.0 (Closes: #828482).
  * Fix non-floating-point argument in '__builtin_isana' (Closes: #830444).
  * Update debhelper compatibility level from 9 to 10.

 -- TransNexus <support@transnexus.com>  Mon, 13 Feb 2017 04:40:51 -0500
