=== debian/control ===
Source: osptoolkit
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: TransNexus <support@transnexus.com>
Uploaders: Di-Shi Sun <di-shi@transnexus.com>
Section: utils
Priority: optional
Build-Depends: dpkg-dev (>= 1.22.5), debhelper (>= 9), libssl-dev, libtool, libtool-bin, docbook-to-man
Standards-Version: 3.9.8
Homepage: https://sourceforge.net/projects/osp-toolkit

Package: osptoolkit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, openssl
Description: Open source client side development kit for Open Settlement Protocol
 The Open Settlement Protocol (OSP) standard defined by the European
 Telecommunications Standards Institute (ETSI TS 101 321) www.etsi.org.
 .
 The OSP Toolkit is an open source implementation of the OSP peering protocol
 and is freely available from www.sourceforge.net. It enables applications for
 secure multi-lateral peering.
 .
 This package contains OSP Toolkit documentation, enroll and test tools.
 .
 The enroll program is a utility application for establishing a trusted
 relationship between an OSP client and OSP servers.

Package: libosptk4t64
Provides: ${t64:Provides}
Replaces: libosptk4
Breaks: libosptk4 (<< ${source:Version})
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OSP Toolkit shared library
 The Open Settlement Protocol (OSP) standard defined by the European
 Telecommunications Standards Institute (ETSI TS 101 321) www.etsi.org.
 .
 The OSP Toolkit is an open source implementation of the OSP peering protocol
 and is freely available from www.sourceforge.net. It enables applications for
 secure multi-lateral peering.
 .
 libosptk run-time shared library needed by OSP client end applications that
 use OSP Toolkit.

Package: libosptk-dev
Architecture: any
Section: libdevel
Depends: libosptk4t64 (= ${binary:Version}), ${misc:Depends}
Conflicts: libosptk3-dev
Description: OSP Toolkit development library and header files
 The Open Settlement Protocol (OSP) standard defined by the European
 Telecommunications Standards Institute (ETSI TS 101 321) www.etsi.org.
 .
 The OSP Toolkit is an open source implementation of the OSP peering protocol
 and is freely available from www.sourceforge.net. It enables applications for
 secure multi-lateral peering.
 .
 libosptk development library and header files for building OSP client end
 applications with OSP Toolkit.
