=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-version=4.11.3
+version=4.13.0
 major=4
 
 %:
@@ -23,7 +23,7 @@
 	$(MAKE) VERSION="$(version)" MAJOR="$(major)" DESTDIR=$(CURDIR)/debian/osptoolkit install-bin
 
 	# Add here commands to install the package into debian/libosptk
-	$(MAKE) VERSION="$(version)" MAJOR="$(major)" DESTDIR=$(CURDIR)/debian/libosptk$(major) install-lib
+	$(MAKE) VERSION="$(version)" MAJOR="$(major)" DESTDIR=$(CURDIR)/debian/libosptk$(major)t64 install-lib
 
 	# Add here commands to install the package into debian/libosptk-dev
 	$(MAKE) VERSION="$(version)" MAJOR="$(major)" DESTDIR=$(CURDIR)/debian/libosptk-dev install-dev
