=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg// \
http://sf.net/osp-toolkit/ OSPToolkit-(.+)\.tar\.gz debian uupdate
